#include <Salinity.h>
#include <ReefAngel_Features.h>
#include <Globals.h>
#include <RA_Wifi.h>
#include <Wire.h>
#include <OneWire.h>
#include <Time.h>
#include <DS1307RTC.h>
#include <InternalEEPROM.h>
#include <RA_NokiaLCD.h>
#include <RA_ATO.h>
#include <RA_Joystick.h>
#include <LED.h>
#include <RA_TempSensor.h>
#include <Relay.h>
#include <RA_PWM.h>
#include <Timer.h>
#include <Memory.h>
#include <InternalEEPROM.h>
#include <RA_Colors.h>
#include <RA_CustomColors.h>
#include <RF.h>
#include <IO.h>
#include <ORP.h>
#include <AI.h>
#include <PH.h>
#include <WaterLevel.h>
#include <ReefAngel.h>

byte x,y;
char text[10];

void DrawCustomMain()
{
  // the graph is drawn/updated when we exit the main menu &
  // when the parameters are saved
  ReefAngel.LCD.Clear(BtnActiveColor,5,0,127,11);
  ReefAngel.LCD.DrawText(DefaultBGColor,BtnActiveColor,30,3,"My Reef Angel");
  ReefAngel.LCD.DrawDate(6, 122);
  pingSerial();
#if defined DisplayLEDPWM && ! defined RemoveAllLights
  ReefAngel.LCD.DrawMonitor(15, 15, ReefAngel.Params,
  ReefAngel.PWM.GetDaylightValue(), ReefAngel.PWM.GetActinicValue());
#else // defined DisplayLEDPWM && ! defined RemoveAllLights
  ReefAngel.LCD.DrawMonitor(15, 15, ReefAngel.Params);
#endif // defined DisplayLEDPWM && ! defined RemoveAllLights
  pingSerial();
  ReefAngel.LCD.Clear(DefaultFGColor,5,52,127,52);
  ReefAngel.LCD.DrawText(COLOR_DARKGOLDENROD,DefaultBGColor,15,55,"Aqua Illumination");
  x=15;
  y=68;
  ReefAngel.LCD.DrawText(COLOR_DARKGOLDENROD,DefaultBGColor,x,y,"White:");
  ConvertNumToString(text, ReefAngel.AI.GetChannel(White), 1);
  strcat(text,"   ");
  ReefAngel.LCD.DrawText(COLOR_DARKGOLDENROD,DefaultBGColor,x+74,y,text);
  y+=10;
  pingSerial();
  ReefAngel.LCD.DrawText(COLOR_DARKGOLDENROD,DefaultBGColor,x,y,"Blue:");
  ConvertNumToString(text, ReefAngel.AI.GetChannel(Blue), 1);
  strcat(text,"   ");
  ReefAngel.LCD.DrawText(COLOR_DARKGOLDENROD,DefaultBGColor,x+74,y,text);
  y+=10;
  pingSerial();
  ReefAngel.LCD.DrawText(COLOR_DARKGOLDENROD,DefaultBGColor,x,y,"Royal Blue:");
  ConvertNumToString(text, ReefAngel.AI.GetChannel(RoyalBlue), 1);
  strcat(text,"   ");
  ReefAngel.LCD.DrawText(COLOR_DARKGOLDENROD,DefaultBGColor,x+74,y,text);
  y+=10;
  pingSerial();
  byte TempRelay = ReefAngel.Relay.RelayData;
  TempRelay &= ReefAngel.Relay.RelayMaskOff;
  TempRelay |= ReefAngel.Relay.RelayMaskOn;
  ReefAngel.LCD.DrawOutletBox(12, 103, TempRelay);
}

void DrawCustomGraph()
{
}

/*
  
 For more information about custom main screen: http://forum.reefangel.com/viewtopic.php?f=14&t=109
 
 */

void setup()
{
  ReefAngel.Init();  //Initialize controller
  ReefAngel.AI.SetPort(highATOPin);
}

void loop()
{
  ReefAngel.AI.SetChannel(White,PWMSlope(9,0,17,0,0,100,60,0));
  ReefAngel.AI.SetChannel(Blue,PWMSlope(9,0,17,0,0,60,60,0));
  ReefAngel.AI.SetChannel(RoyalBlue,PWMSlope(9,30,16,30,0,100,60,0));
  ReefAngel.ShowInterface();
}



