#include <ReefAngel_Features.h>
#include <Globals.h>
#include <RA_Wifi.h>
#include <Wire.h>
#include <OneWire.h>
#include <Time.h>
#include <DS1307RTC.h>
#include <InternalEEPROM.h>
#include <RA_NokiaLCD.h>
#include <RA_ATO.h>
#include <RA_Joystick.h>
#include <LED.h>
#include <RA_TempSensor.h>
#include <Relay.h>
#include <RA_PWM.h>
#include <Timer.h>
#include <Memory.h>
#include <InternalEEPROM.h>
#include <RA_Colors.h>
#include <RA_CustomColors.h>
#include <Salinity.h>
#include <RF.h>
#include <IO.h>
#include <ORP.h>
#include <AI.h>
#include <PH.h>
#include <WaterLevel.h>
#include <ReefAngel.h>

/*
Ports assignment:

Port2 - Daylight fixture - "http://www.reefangel.com/Support.Relay-function-StandardLights.ashx"
Port3 - Actinic fixture
*/

void setup()
{
  ReefAngel.Init();
}

void loop()
{
  ReefAngel.StandardLights(Port2,9,30,16,30); // Lights on at 9:30am and off at 4:30pm
  ReefAngel.StandardLights(Port3,9,0,17,0); // Lights on at 9:00am and off at 5:00pm

  // PWMSlope(byte startHour, byte startMinute, byte endHour, byte endMinute, byte startPWM, byte endPWM, byte Duration, byte oldValue)
  // startHour - Hour of the start the slope
  // startMinute - Minute of the start the slope
  // endHour - Hour of the end of the slope
  // endMinute - Minute of the end slope
  // startPWM - Beginning PWM value
  // endPWM - Ending PWM value
  // Duration - Amount of time (in minutes) it takes to go from the startPWM to endPWM (and vice versa). If the duration is 30 minutes. Then if it starts at 8am, from 8 - 8:30a it will go from startPWM to endPWM. If it ends at 5pm, from 4:30p - 5p it will go from endPWM to startPWM.
   // oldValue - Should be the startPWM value or the existing/current PWM value (ReefAngel.PWM.GetActinicValue() or GetDaylightValue())

  ReefAngel.PWM.SetActinic(PWMSlope(9,0,17,0,15,100,60,15)); 
  // Actinic PWM % starts raising from 15% to 100% within 60 minutes at 9:00am
  // Actinic PWM % remains at 100% until 4:00pm
  // Actinic PWM % starts lowering from 100% to 15% within 60 minutes at 4:00pm
  ReefAngel.PWM.SetDaylight(PWMSlope(9,30,16,30,15,100,60,15)); 
  // Daylight PWM % starts raising from 15% to 100% within 60 minutes at 9:30am
  // Daylight PWM % remains at 100% until 3:30pm
  // Daylight PWM % starts lowering from 100% to 15% within 60 minutes at 3:30pm

  ReefAngel.ShowInterface();
}

