/*
    created with FontEditor written by H. Reddmann
    HaReddmann at t-online dot de

    File Name           : Arial12.h
    Date                : 10/25/2011
    Font size in bytes  : 0x04E8, 1256
    Font width          : 16
    Font height         : 16
    Font first char     : 0x21
    Font last char      : 0x7A
    Font bits per pixel : 1
    Font is compressed  : false

    The font data are defined as

    struct _FONT_ {
     // common shared fields
       uint16_t   font_Size_in_Bytes_over_all_included_Size_it_self;
       uint8_t    font_Width_in_Pixel_for_fixed_drawing;
       uint8_t    font_Height_in_Pixel_for_all_Characters;
       uint8_t    font_Bits_per_Pixels;
                    // if MSB are set then font is a compressed font
       uint8_t    font_First_Char;
       uint8_t    font_Last_Char;
       uint8_t    font_Char_Widths[font_Last_Char - font_First_Char +1];
                    // for each character the separate width in pixels,
                    // characters < 128 have an implicit virtual right empty row
                    // characters with font_Char_Widths[] == 0 are undefined

     // if compressed font then additional fields
       uint8_t    font_Byte_Padding;
                    // each Char in the table are aligned in size to this value
       uint8_t    font_RLE_Table[3];
                    // Run Length Encoding Table for compression
       uint8_t    font_Char_Size_in_Bytes[font_Last_Char - font_First_Char +1];
                    // for each char the size in (bytes / font_Byte_Padding) are stored,
                    // this get us the table to seek to the right beginning of each char
                    // in the font_data[].

     // for compressed and uncompressed fonts
       uint8_t    font_data[];
                    // bit field of all characters
    }
*/

#include <inttypes.h>
#include <avr/pgmspace.h>

#ifndef Arial12_H
#define Arial12_H

#define Arial12_WIDTH 16
#define Arial12_HEIGHT 16

static uint8_t __attribute__ ((progmem)) Arial12[] = {
    0x04, 0xE8, 0x10, 0x10, 0x01, 0x21, 0x7A,
    0x01, 0x04, 0x09, 0x07, 0x00, 0x09, 0x01, 0x03, 0x03, 0x05, 0x07, 0x01, 0x04, 0x01, 0x04, 0x07, 
    0x04, 0x07, 0x07, 0x08, 0x07, 0x07, 0x07, 0x07, 0x07, 0x01, 0x01, 0x07, 0x07, 0x07, 0x07, 0x00, 
    0x09, 0x09, 0x0A, 0x0A, 0x09, 0x08, 0x0A, 0x09, 0x01, 0x06, 0x09, 0x07, 0x0B, 0x09, 0x0A, 0x09, 
    0x0A, 0x09, 0x09, 0x09, 0x09, 0x09, 0x0F, 0x0B, 0x09, 0x09, 0x03, 0x04, 0x03, 0x07, 0x09, 0x02, 
    0x07, 0x07, 0x06, 0x07, 0x07, 0x04, 0x07, 0x06, 0x01, 0x02, 0x07, 0x01, 0x0B, 0x06, 0x07, 0x07, 
    0x07, 0x04, 0x06, 0x04, 0x06, 0x07, 0x0B, 0x07, 0x07, 0x07, 
    0xFE, 0x17, 0x1E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1E, 0x00, 0x20, 0x02, 0x20, 0x1E, 0xF0, 0x03, 
    0x2E, 0x02, 0x20, 0x02, 0x20, 0x1E, 0xF0, 0x03, 0x2E, 0x02, 0x20, 0x02, 0x38, 0x04, 0x44, 0x08, 
    0x42, 0x10, 0xFF, 0x3F, 0x82, 0x10, 0x82, 0x08, 0x0C, 0x07, 0x00, 0x07, 0x9C, 0x08, 0x62, 0x10, 
    0xC2, 0x10, 0x22, 0x11, 0x1C, 0x0A, 0x00, 0x04, 0x00, 0x0A, 0x00, 0x11, 0x1E, 0x00, 0xE0, 0x0F, 
    0x1C, 0x70, 0x02, 0x80, 0x02, 0x80, 0x1C, 0x70, 0xE0, 0x0F, 0x04, 0x00, 0x34, 0x00, 0x0E, 0x00, 
    0x34, 0x00, 0x04, 0x00, 0x80, 0x00, 0x80, 0x00, 0x80, 0x00, 0xF0, 0x07, 0x80, 0x00, 0x80, 0x00, 
    0x80, 0x00, 0x00, 0x70, 0x00, 0x02, 0x00, 0x02, 0x00, 0x02, 0x00, 0x02, 0x00, 0x10, 0x00, 0x18, 
    0x80, 0x07, 0x78, 0x00, 0x06, 0x00, 0xF8, 0x07, 0x04, 0x08, 0x02, 0x10, 0x02, 0x10, 0x02, 0x10, 
    0x04, 0x08, 0xF8, 0x07, 0x10, 0x00, 0x08, 0x00, 0x04, 0x00, 0xFE, 0x1F, 0x08, 0x10, 0x04, 0x18, 
    0x02, 0x14, 0x02, 0x12, 0x02, 0x11, 0xC6, 0x10, 0x38, 0x10, 0x08, 0x0C, 0x04, 0x08, 0x42, 0x10, 
    0x42, 0x10, 0x62, 0x10, 0xBC, 0x08, 0x00, 0x07, 0x00, 0x03, 0x80, 0x02, 0x40, 0x02, 0x30, 0x02, 
    0x08, 0x02, 0x04, 0x02, 0xFE, 0x1F, 0x00, 0x02, 0x70, 0x04, 0x2E, 0x08, 0x22, 0x10, 0x22, 0x10, 
    0x22, 0x10, 0x42, 0x08, 0x82, 0x07, 0xF8, 0x07, 0x44, 0x08, 0x22, 0x10, 0x22, 0x10, 0x22, 0x10, 
    0x44, 0x08, 0x88, 0x07, 0x02, 0x00, 0x02, 0x00, 0x02, 0x1C, 0xC2, 0x03, 0x32, 0x00, 0x0E, 0x00, 
    0x02, 0x00, 0x18, 0x07, 0xA4, 0x08, 0x42, 0x10, 0x42, 0x10, 0x42, 0x10, 0xA4, 0x08, 0x18, 0x07, 
    0x78, 0x04, 0x84, 0x08, 0x02, 0x11, 0x02, 0x11, 0x02, 0x11, 0x84, 0x08, 0xF8, 0x07, 0x10, 0x10, 
    0x10, 0x70, 0x80, 0x00, 0x40, 0x01, 0x40, 0x01, 0x20, 0x02, 0x20, 0x02, 0x20, 0x02, 0x10, 0x04, 
    0x20, 0x02, 0x20, 0x02, 0x20, 0x02, 0x20, 0x02, 0x20, 0x02, 0x20, 0x02, 0x20, 0x02, 0x10, 0x04, 
    0x20, 0x02, 0x20, 0x02, 0x20, 0x02, 0x40, 0x01, 0x40, 0x01, 0x80, 0x00, 0x18, 0x00, 0x04, 0x00, 
    0x02, 0x00, 0x02, 0x17, 0x82, 0x00, 0x44, 0x00, 0x38, 0x00, 0x00, 0x18, 0x00, 0x07, 0xE0, 0x01, 
    0x1C, 0x01, 0x02, 0x01, 0x1C, 0x01, 0xE0, 0x01, 0x00, 0x07, 0x00, 0x18, 0xFE, 0x1F, 0x42, 0x10, 
    0x42, 0x10, 0x42, 0x10, 0x42, 0x10, 0x42, 0x10, 0x42, 0x10, 0xA6, 0x08, 0x18, 0x07, 0xF0, 0x03, 
    0x08, 0x04, 0x04, 0x08, 0x02, 0x10, 0x02, 0x10, 0x02, 0x10, 0x02, 0x10, 0x02, 0x10, 0x04, 0x08, 
    0x08, 0x04, 0xFE, 0x1F, 0x02, 0x10, 0x02, 0x10, 0x02, 0x10, 0x02, 0x10, 0x02, 0x10, 0x02, 0x10, 
    0x04, 0x08, 0x08, 0x04, 0xF0, 0x03, 0xFE, 0x1F, 0x42, 0x10, 0x42, 0x10, 0x42, 0x10, 0x42, 0x10, 
    0x42, 0x10, 0x42, 0x10, 0x42, 0x10, 0x02, 0x10, 0xFE, 0x1F, 0x82, 0x00, 0x82, 0x00, 0x82, 0x00, 
    0x82, 0x00, 0x82, 0x00, 0x82, 0x00, 0x02, 0x00, 0xF0, 0x03, 0x08, 0x04, 0x04, 0x08, 0x02, 0x10, 
    0x02, 0x10, 0x82, 0x10, 0x82, 0x10, 0x84, 0x08, 0x88, 0x04, 0x80, 0x03, 0xFE, 0x1F, 0x40, 0x00, 
    0x40, 0x00, 0x40, 0x00, 0x40, 0x00, 0x40, 0x00, 0x40, 0x00, 0x40, 0x00, 0xFE, 0x1F, 0xFE, 0x1F, 
    0x00, 0x0E, 0x00, 0x10, 0x00, 0x10, 0x00, 0x10, 0x00, 0x10, 0xFE, 0x0F, 0xFE, 0x1F, 0x00, 0x01, 
    0x80, 0x00, 0x40, 0x00, 0xE0, 0x00, 0x10, 0x01, 0x08, 0x06, 0x04, 0x08, 0x02, 0x10, 0xFE, 0x1F, 
    0x00, 0x10, 0x00, 0x10, 0x00, 0x10, 0x00, 0x10, 0x00, 0x10, 0x00, 0x10, 0xFE, 0x1F, 0x0C, 0x00, 
    0x30, 0x00, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x18, 0x00, 0x07, 0xC0, 0x00, 0x30, 0x00, 0x0C, 0x00, 
    0xFE, 0x1F, 0xFE, 0x1F, 0x04, 0x00, 0x18, 0x00, 0x20, 0x00, 0xC0, 0x00, 0x00, 0x01, 0x00, 0x06, 
    0x00, 0x08, 0xFE, 0x1F, 0xF0, 0x03, 0x08, 0x04, 0x04, 0x08, 0x02, 0x10, 0x02, 0x10, 0x02, 0x10, 
    0x02, 0x10, 0x04, 0x08, 0x08, 0x04, 0xF0, 0x03, 0xFE, 0x1F, 0x82, 0x00, 0x82, 0x00, 0x82, 0x00, 
    0x82, 0x00, 0x82, 0x00, 0x82, 0x00, 0x44, 0x00, 0x38, 0x00, 0xF0, 0x03, 0x08, 0x04, 0x04, 0x08, 
    0x02, 0x10, 0x02, 0x10, 0x02, 0x14, 0x02, 0x14, 0x04, 0x08, 0x08, 0x1C, 0xF0, 0x17, 0xFE, 0x1F, 
    0x82, 0x00, 0x82, 0x00, 0x82, 0x00, 0x82, 0x00, 0x82, 0x01, 0x82, 0x06, 0x44, 0x08, 0x38, 0x10, 
    0x18, 0x04, 0x24, 0x08, 0x42, 0x10, 0x42, 0x10, 0x42, 0x10, 0x82, 0x10, 0x82, 0x10, 0x84, 0x08, 
    0x08, 0x07, 0x02, 0x00, 0x02, 0x00, 0x02, 0x00, 0x02, 0x00, 0xFE, 0x1F, 0x02, 0x00, 0x02, 0x00, 
    0x02, 0x00, 0x02, 0x00, 0xFE, 0x07, 0x00, 0x08, 0x00, 0x10, 0x00, 0x10, 0x00, 0x10, 0x00, 0x10, 
    0x00, 0x10, 0x00, 0x08, 0xFE, 0x07, 0x06, 0x00, 0x38, 0x00, 0xC0, 0x01, 0x00, 0x06, 0x00, 0x18, 
    0x00, 0x06, 0xC0, 0x01, 0x38, 0x00, 0x06, 0x00, 0x06, 0x00, 0x78, 0x00, 0x80, 0x07, 0x00, 0x18, 
    0x00, 0x07, 0xE0, 0x00, 0x1C, 0x00, 0x02, 0x00, 0x1C, 0x00, 0xE0, 0x00, 0x00, 0x07, 0x00, 0x18, 
    0x80, 0x07, 0x78, 0x00, 0x06, 0x00, 0x00, 0x10, 0x02, 0x08, 0x04, 0x04, 0x18, 0x03, 0xA0, 0x00, 
    0x40, 0x00, 0xA0, 0x00, 0x18, 0x03, 0x04, 0x04, 0x02, 0x08, 0x00, 0x10, 0x02, 0x00, 0x0C, 0x00, 
    0x10, 0x00, 0x60, 0x00, 0x80, 0x1F, 0x60, 0x00, 0x10, 0x00, 0x0C, 0x00, 0x02, 0x00, 0x00, 0x10, 
    0x02, 0x18, 0x02, 0x16, 0x02, 0x11, 0xC2, 0x10, 0x22, 0x10, 0x1A, 0x10, 0x06, 0x10, 0x02, 0x10, 
    0xFE, 0xFF, 0x02, 0x80, 0x02, 0x80, 0x06, 0x00, 0x78, 0x00, 0x80, 0x07, 0x00, 0x18, 0x02, 0x80, 
    0x02, 0x80, 0xFE, 0xFF, 0x40, 0x00, 0x30, 0x00, 0x0C, 0x00, 0x02, 0x00, 0x0C, 0x00, 0x30, 0x00, 
    0x40, 0x00, 0x00, 0x80, 0x00, 0x80, 0x00, 0x80, 0x00, 0x80, 0x00, 0x80, 0x00, 0x80, 0x00, 0x80, 
    0x00, 0x80, 0x00, 0x80, 0x02, 0x00, 0x04, 0x00, 0x40, 0x0E, 0x20, 0x11, 0x10, 0x11, 0x10, 0x11, 
    0x90, 0x10, 0x90, 0x08, 0xE0, 0x1F, 0xFE, 0x1F, 0x20, 0x08, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 
    0x20, 0x08, 0xC0, 0x07, 0xC0, 0x07, 0x20, 0x08, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x20, 0x08, 
    0xC0, 0x07, 0x20, 0x08, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x20, 0x08, 0xFE, 0x1F, 0xC0, 0x07, 
    0x20, 0x09, 0x10, 0x11, 0x10, 0x11, 0x10, 0x11, 0x20, 0x09, 0xC0, 0x05, 0x10, 0x00, 0xFC, 0x1F, 
    0x12, 0x00, 0x12, 0x00, 0xC0, 0x47, 0x20, 0x88, 0x10, 0x90, 0x10, 0x90, 0x10, 0x90, 0x20, 0x48, 
    0xF0, 0x3F, 0xFE, 0x1F, 0x20, 0x00, 0x10, 0x00, 0x10, 0x00, 0x10, 0x00, 0xE0, 0x1F, 0xF2, 0x1F, 
    0x00, 0x80, 0xF2, 0x7F, 0xFE, 0x1F, 0x00, 0x02, 0x00, 0x01, 0x80, 0x01, 0x40, 0x06, 0x20, 0x08, 
    0x10, 0x10, 0xFE, 0x1F, 0xF0, 0x1F, 0x20, 0x00, 0x10, 0x00, 0x10, 0x00, 0x10, 0x00, 0xE0, 0x1F, 
    0x20, 0x00, 0x10, 0x00, 0x10, 0x00, 0x10, 0x00, 0xE0, 0x1F, 0xF0, 0x1F, 0x20, 0x00, 0x10, 0x00, 
    0x10, 0x00, 0x10, 0x00, 0xE0, 0x1F, 0xC0, 0x07, 0x20, 0x08, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 
    0x20, 0x08, 0xC0, 0x07, 0xF0, 0xFF, 0x20, 0x08, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x20, 0x08, 
    0xC0, 0x07, 0xC0, 0x07, 0x20, 0x08, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x20, 0x08, 0xF0, 0xFF, 
    0xF0, 0x1F, 0x20, 0x00, 0x10, 0x00, 0x10, 0x00, 0xE0, 0x08, 0x10, 0x11, 0x10, 0x11, 0x10, 0x11, 
    0x10, 0x11, 0x20, 0x0E, 0x10, 0x00, 0xFC, 0x1F, 0x10, 0x10, 0x10, 0x10, 0xF0, 0x0F, 0x00, 0x10, 
    0x00, 0x10, 0x00, 0x10, 0x00, 0x08, 0xF0, 0x1F, 0x30, 0x00, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x18, 
    0x00, 0x07, 0xC0, 0x00, 0x30, 0x00, 0x30, 0x00, 0xC0, 0x07, 0x00, 0x18, 0x00, 0x07, 0xC0, 0x00, 
    0x30, 0x00, 0xC0, 0x00, 0x00, 0x07, 0x00, 0x18, 0xC0, 0x07, 0x30, 0x00, 0x10, 0x10, 0x20, 0x08, 
    0xC0, 0x06, 0x00, 0x01, 0xC0, 0x06, 0x20, 0x08, 0x10, 0x10, 0x70, 0x00, 0x80, 0x81, 0x00, 0x8E, 
    0x00, 0x70, 0x00, 0x0E, 0xC0, 0x01, 0x30, 0x00, 0x10, 0x10, 0x10, 0x18, 0x10, 0x16, 0x10, 0x11, 
    0xD0, 0x10, 0x30, 0x10, 0x10, 0x10, 0x00
};

#endif

