/*
    created with FontEditor written by H. Reddmann
    HaReddmann at t-online dot de

    File Name           : ArialBold20.h
    Date                : 10/25/2011
    Font size in bytes  : 0x0B92, 2962
    Font width          : 26
    Font height         : 31
    Font first char     : 0x20
    Font last char      : 0x7A
    Font bits per pixel : 1
    Font is compressed  : true

    The font data are defined as

    struct _FONT_ {
     // common shared fields
       uint16_t   font_Size_in_Bytes_over_all_included_Size_it_self;
       uint8_t    font_Width_in_Pixel_for_fixed_drawing;
       uint8_t    font_Height_in_Pixel_for_all_Characters;
       uint8_t    font_Bits_per_Pixels;
                    // if MSB are set then font is a compressed font
       uint8_t    font_First_Char;
       uint8_t    font_Last_Char;
       uint8_t    font_Char_Widths[font_Last_Char - font_First_Char +1];
                    // for each character the separate width in pixels,
                    // characters < 128 have an implicit virtual right empty row
                    // characters with font_Char_Widths[] == 0 are undefined

     // if compressed font then additional fields
       uint8_t    font_Byte_Padding;
                    // each Char in the table are aligned in size to this value
       uint8_t    font_RLE_Table[3];
                    // Run Length Encoding Table for compression
       uint8_t    font_Char_Size_in_Bytes[font_Last_Char - font_First_Char +1];
                    // for each char the size in (bytes / font_Byte_Padding) are stored,
                    // this get us the table to seek to the right beginning of each char
                    // in the font_data[].

     // for compressed and uncompressed fonts
       uint8_t    font_data[];
                    // bit field of all characters
    }
*/

#include <inttypes.h>
#include <avr/pgmspace.h>

#ifndef ArialBold20_H
#define ArialBold20_H

#define ArialBold20_WIDTH 26
#define ArialBold20_HEIGHT 31

static uint8_t __attribute__ ((progmem)) ArialBold20[] = {
    0x0B, 0x92, 0x1A, 0x1F, 0x81, 0x20, 0x7A,
    0x0A, 0x04, 0x09, 0x0F, 0x0E, 0x17, 0x13, 0x04, 0x07, 0x07, 0x0A, 0x0E, 0x04, 0x08, 0x04, 0x07, 
    0x0E, 0x0A, 0x0E, 0x0E, 0x10, 0x0E, 0x0E, 0x0E, 0x0E, 0x0E, 0x04, 0x04, 0x0D, 0x0E, 0x0D, 0x0E, 
    0x00, 0x12, 0x10, 0x11, 0x11, 0x0F, 0x0E, 0x13, 0x10, 0x04, 0x0D, 0x11, 0x0E, 0x13, 0x11, 0x13, 
    0x0F, 0x14, 0x10, 0x0F, 0x10, 0x10, 0x11, 0x19, 0x0F, 0x10, 0x11, 0x08, 0x07, 0x08, 0x0C, 0x0E, 
    0x06, 0x0E, 0x0F, 0x0E, 0x0E, 0x0E, 0x0A, 0x0E, 0x0D, 0x04, 0x06, 0x0D, 0x04, 0x15, 0x0D, 0x0F, 
    0x0F, 0x0E, 0x0A, 0x0D, 0x0A, 0x0D, 0x0D, 0x15, 0x0D, 0x0D, 0x0E, 
    0x01, 0x03, 0x05, 0x0C, 
    0x0B, 0x0E, 0x12, 0x25, 0x27, 0x41, 0x36, 0x09, 0x12, 0x13, 0x16, 0x1B, 0x0C, 0x10, 0x0A, 0x0E, 
    0x1C, 0x12, 0x2A, 0x2A, 0x25, 0x2B, 0x28, 0x21, 0x26, 0x28, 0x0E, 0x10, 0x22, 0x20, 0x22, 0x23, 
    0x00, 0x2C, 0x26, 0x29, 0x24, 0x29, 0x1D, 0x31, 0x1E, 0x08, 0x1A, 0x26, 0x1B, 0x24, 0x23, 0x2E, 
    0x21, 0x33, 0x29, 0x2D, 0x20, 0x1F, 0x25, 0x33, 0x24, 0x22, 0x2C, 0x14, 0x0D, 0x14, 0x19, 0x1B, 
    0x0D, 0x29, 0x22, 0x24, 0x1E, 0x2B, 0x17, 0x25, 0x1A, 0x0B, 0x12, 0x1C, 0x08, 0x2C, 0x1A, 0x23, 
    0x21, 0x1E, 0x14, 0x29, 0x15, 0x1A, 0x1A, 0x29, 0x21, 0x1F, 0x26, 
    0xDB, 0xB6, 0x6D, 0xDB, 0xB6, 0x6D, 0xDB, 0xB6, 0x6D, 0x93, 0x00, 0x8A, 0x4B, 0x81, 0x1C, 0x4E, 
    0xA0, 0xDC, 0x09, 0x94, 0x83, 0x2B, 0x80, 0x14, 0x00, 0x02, 0xCC, 0x0D, 0x26, 0x37, 0x93, 0x9B, 
    0xB9, 0x6D, 0x8A, 0xB9, 0xC1, 0xE4, 0x66, 0x72, 0x33, 0x27, 0x00, 0x6B, 0x3A, 0xA9, 0x29, 0xD0, 
    0xA9, 0x71, 0xA7, 0x93, 0x03, 0x4E, 0x2E, 0x27, 0x27, 0x37, 0x9D, 0xC0, 0x34, 0x05, 0xC8, 0x09, 
    0x8D, 0x3B, 0x9D, 0x5C, 0x4E, 0x0E, 0x38, 0x39, 0xB9, 0xE9, 0x54, 0xA0, 0xE9, 0xA4, 0xA6, 0x12, 
    0x53, 0x38, 0x01, 0x66, 0xE0, 0xC5, 0x8D, 0x39, 0xD8, 0xF1, 0xD0, 0x94, 0x42, 0x47, 0xAA, 0x14, 
    0x48, 0x05, 0x7F, 0x83, 0xBF, 0x02, 0x48, 0xA1, 0x02, 0xB9, 0xAA, 0x0C, 0x3A, 0xA7, 0x0C, 0x3A, 
    0x38, 0x2E, 0x97, 0x32, 0xEE, 0x06, 0x2B, 0x0A, 0xCC, 0xCD, 0x9D, 0xE4, 0x72, 0x12, 0x29, 0x90, 
    0x53, 0x40, 0x0A, 0xE4, 0x14, 0x90, 0x02, 0x29, 0xA0, 0x12, 0x5C, 0x0A, 0xE5, 0xE0, 0xAA, 0x0B, 
    0x4C, 0x75, 0x03, 0xBA, 0xA5, 0x1B, 0x50, 0x6E, 0x40, 0x37, 0xA0, 0xDC, 0x80, 0x06, 0xE6, 0x82, 
    0x32, 0x70, 0x07, 0x54, 0x70, 0xB9, 0x0A, 0xA4, 0x40, 0x4E, 0x01, 0x29, 0x90, 0x53, 0x40, 0x0A, 
    0xE4, 0x24, 0x97, 0x93, 0xDC, 0xCD, 0x14, 0x00, 0x13, 0x50, 0x6E, 0x80, 0xB9, 0xB9, 0x8B, 0x01, 
    0x97, 0x03, 0x4C, 0xA2, 0x29, 0x07, 0x3B, 0x28, 0x57, 0xC2, 0x42, 0xD7, 0x58, 0x5D, 0x03, 0x07, 
    0x5D, 0x63, 0x32, 0x5D, 0x09, 0xB8, 0xE8, 0x00, 0x93, 0x80, 0x3B, 0xC0, 0x0C, 0xCC, 0x05, 0xA5, 
    0xE0, 0xCD, 0xE4, 0x24, 0xB8, 0x9C, 0x54, 0x02, 0xE5, 0x96, 0x72, 0x0B, 0x48, 0x01, 0x02, 0xCC, 
    0x0D, 0x26, 0x37, 0x93, 0x9B, 0x39, 0x01, 0x8B, 0x3B, 0x05, 0x9F, 0x5E, 0x0E, 0x77, 0x25, 0x53, 
    0x81, 0x49, 0xA5, 0x5C, 0x50, 0x0A, 0x20, 0xA7, 0x90, 0x02, 0xC8, 0x29, 0xA4, 0x80, 0x72, 0x41, 
    0xA9, 0x98, 0x92, 0x29, 0xDD, 0x1D, 0x5E, 0x4E, 0x9F, 0x02, 0x57, 0x01, 0x4A, 0x37, 0x91, 0x21, 
    0xB7, 0xA2, 0x1B, 0x3C, 0x05, 0x2E, 0x27, 0xB9, 0xDC, 0xE2, 0x0D, 0x45, 0x37, 0x32, 0xE4, 0x24, 
    0x74, 0x0A, 0x4B, 0xB7, 0xA0, 0x5B, 0xD0, 0x2D, 0xE8, 0x16, 0x74, 0x12, 0xCE, 0x09, 0xE7, 0x84, 
    0x73, 0xC2, 0x39, 0x09, 0xDD, 0x82, 0x6E, 0x41, 0xB7, 0xA0, 0x5B, 0xD0, 0x01, 0x93, 0x40, 0x86, 
    0x9C, 0x84, 0x12, 0x9D, 0x04, 0x93, 0x1B, 0xCA, 0x00, 0x53, 0xB7, 0xA0, 0x5B, 0xD0, 0x2D, 0xE8, 
    0x16, 0x74, 0x0B, 0xBA, 0x05, 0xDD, 0x82, 0x4A, 0x00, 0x93, 0x40, 0x6E, 0x41, 0xB9, 0xA5, 0xDC, 
    0x02, 0x52, 0x00, 0x93, 0xD0, 0xCD, 0xE4, 0x14, 0x7B, 0xB2, 0x39, 0xD9, 0x53, 0x4C, 0x6E, 0x9D, 
    0x02, 0x73, 0x39, 0xE5, 0x9C, 0xDE, 0xE5, 0x1E, 0xAC, 0xA0, 0x1C, 0x3A, 0x74, 0x1D, 0xBA, 0x0E, 
    0x5D, 0x87, 0xCE, 0x0A, 0xCA, 0x01, 0xF7, 0xF2, 0x4E, 0xE7, 0x14, 0x97, 0x12, 0x03, 0xB9, 0x05, 
    0xDD, 0x82, 0x6E, 0xE9, 0x96, 0x6E, 0xE9, 0x96, 0x7B, 0xB8, 0xC9, 0xDD, 0xE4, 0x6E, 0x0A, 0xA3, 
    0x04, 0x2E, 0x28, 0x95, 0x72, 0x30, 0x05, 0x78, 0xB0, 0x00, 0x73, 0xA5, 0x62, 0x72, 0x55, 0xDC, 
    0x55, 0x80, 0xD1, 0x55, 0x40, 0x09, 0x74, 0x15, 0xCA, 0x74, 0x65, 0x50, 0x06, 0x1D, 0x6C, 0x75, 
    0x70, 0x29, 0x74, 0x80, 0x49, 0x01, 0x5D, 0xAC, 0x54, 0x53, 0xC8, 0x09, 0x15, 0xE0, 0xA5, 0x14, 
    0x60, 0x0E, 0x28, 0x15, 0x94, 0x43, 0x99, 0xAA, 0x5C, 0x83, 0x0A, 0x5D, 0x83, 0x0A, 0x5D, 0x83, 
    0x0A, 0x5D, 0x09, 0x94, 0x42, 0x67, 0x33, 0x28, 0x87, 0x7B, 0x80, 0x09, 0xB8, 0x53, 0x03, 0x93, 
    0x1B, 0x4A, 0x05, 0x13, 0x40, 0x6E, 0xF1, 0x06, 0x73, 0x33, 0x39, 0xA9, 0x04, 0x3A, 0x05, 0x65, 
    0x3A, 0xA5, 0x0C, 0x3A, 0xA1, 0x14, 0x3A, 0x95, 0x02, 0xBA, 0xE0, 0xE6, 0x70, 0x93, 0xBB, 0xC9, 
    0xE1, 0xE6, 0xD6, 0x2D, 0xE8, 0x16, 0x90, 0x12, 0x0B, 0x98, 0x4E, 0x80, 0x49, 0xA0, 0x1C, 0x60, 
    0x13, 0xF0, 0x60, 0x07, 0xE5, 0x60, 0xA2, 0x2A, 0xD7, 0x54, 0x40, 0xD7, 0x54, 0x40, 0xD7, 0x54, 
    0x40, 0xD7, 0x54, 0x28, 0xD7, 0x94, 0x41, 0x39, 0x34, 0xB0, 0x39, 0x34, 0xB0, 0x07, 0x54, 0xEE, 
    0x06, 0x2B, 0x00, 0x83, 0x3B, 0xE5, 0x9C, 0xDE, 0xE5, 0x1E, 0x50, 0x86, 0x0C, 0xBC, 0x32, 0xA4, 
    0x80, 0xAE, 0xA9, 0x80, 0xAE, 0xA9, 0x80, 0xAE, 0xA9, 0x80, 0xAE, 0x04, 0x4A, 0x95, 0x43, 0x09, 
    0xD8, 0x1C, 0x50, 0x02, 0x36, 0x17, 0x32, 0x70, 0xB9, 0x59, 0x01, 0x02, 0xBA, 0x05, 0xDD, 0x82, 
    0x6E, 0x41, 0x25, 0x94, 0x43, 0x15, 0x77, 0x15, 0xEC, 0x35, 0xB0, 0x39, 0x34, 0xEE, 0x54, 0x98, 
    0x9C, 0xE2, 0x4E, 0x82, 0xC9, 0xCD, 0x1B, 0x50, 0x6E, 0xE9, 0x14, 0x00, 0x13, 0x3C, 0x39, 0x26, 
    0x17, 0x93, 0x70, 0x39, 0xE0, 0x1E, 0x0C, 0x07, 0xE5, 0x1A, 0x54, 0xE8, 0x1A, 0x54, 0xE8, 0x1A, 
    0x54, 0xE8, 0x1A, 0x54, 0xE8, 0x6C, 0x06, 0xE5, 0x70, 0x0F, 0x30, 0x09, 0x97, 0x8B, 0x63, 0x72, 
    0x83, 0x15, 0x12, 0xBC, 0xB9, 0x0C, 0xC8, 0xC5, 0x26, 0x50, 0x0E, 0xB0, 0x99, 0x0E, 0xA5, 0x4A, 
    0xA0, 0x5C, 0x05, 0x34, 0x5D, 0x05, 0x34, 0x5D, 0x05, 0x34, 0x5D, 0x29, 0x90, 0x41, 0xE7, 0x80, 
    0x0C, 0x3A, 0xE0, 0x5E, 0xDE, 0xE9, 0x9C, 0xE2, 0x4A, 0x00, 0x03, 0xA9, 0x90, 0x13, 0x4A, 0xA1, 
    0x9C, 0x4A, 0xA1, 0x9C, 0x40, 0x2A, 0xA4, 0x00, 0x03, 0x29, 0xA0, 0x04, 0xC8, 0xA1, 0x14, 0x4A, 
    0x74, 0x28, 0x05, 0x93, 0x0B, 0xA9, 0x94, 0x01, 0x4B, 0xB7, 0x78, 0x03, 0xBC, 0xC1, 0xE4, 0x56, 
    0x74, 0x12, 0x4A, 0x94, 0x93, 0x9A, 0x4E, 0x41, 0x99, 0x72, 0x4A, 0x99, 0x72, 0x4A, 0xD5, 0x09, 
    0x28, 0x55, 0x4E, 0xA8, 0x80, 0x4E, 0xA5, 0x80, 0x52, 0x00, 0x6B, 0x3A, 0xA9, 0xE9, 0xA4, 0xA6, 
    0x93, 0x9A, 0x4E, 0x6A, 0x3A, 0xA9, 0xE9, 0xA4, 0xA6, 0x93, 0x9A, 0x4E, 0x6A, 0x3A, 0xA9, 0xE9, 
    0xA4, 0xA6, 0x93, 0x9A, 0x4E, 0x6A, 0x3A, 0xA9, 0xA9, 0x04, 0x0A, 0x4A, 0x01, 0xE5, 0x54, 0x01, 
    0x9D, 0x50, 0xAA, 0x9C, 0x80, 0xAA, 0x53, 0xCA, 0x94, 0x53, 0xCA, 0x94, 0x53, 0xD0, 0x74, 0x52, 
    0x89, 0x72, 0x12, 0x8A, 0x6E, 0x26, 0x37, 0x78, 0x03, 0xBC, 0xA5, 0x03, 0x12, 0xB8, 0x05, 0xDE, 
    0x60, 0x6E, 0xF0, 0x86, 0x72, 0x4B, 0x15, 0x32, 0xE4, 0x50, 0xC1, 0x28, 0x57, 0x99, 0x28, 0xD7, 
    0xC0, 0x01, 0x39, 0x94, 0x29, 0xA7, 0xC0, 0xE5, 0x24, 0x77, 0x33, 0x37, 0xA0, 0x9C, 0x00, 0x93, 
    0x40, 0x6E, 0x80, 0x39, 0x09, 0xEE, 0x14, 0x7B, 0x02, 0x5C, 0x4E, 0xB1, 0x27, 0xB8, 0x44, 0x27, 
    0x93, 0x41, 0xA7, 0x52, 0x40, 0x27, 0x0B, 0x9D, 0x4C, 0x06, 0x9D, 0x00, 0x17, 0x9D, 0x02, 0x7B, 
    0x12, 0xEC, 0xCD, 0xE5, 0xE6, 0x6E, 0x30, 0xB7, 0x80, 0x14, 0x00, 0xCA, 0x3D, 0xDC, 0xE4, 0x6E, 
    0x72, 0x37, 0xB9, 0xAA, 0xEA, 0xAA, 0xAA, 0xAB, 0xAA, 0xAE, 0xAA, 0xBA, 0xAA, 0xEA, 0xAA, 0xAA, 
    0x2B, 0x53, 0xAA, 0x7B, 0xCA, 0xE1, 0x1E, 0x60, 0x12, 0x70, 0x17, 0x94, 0x31, 0xB9, 0x01, 0xA5, 
    0x02, 0x83, 0xC9, 0x49, 0x36, 0x27, 0xE0, 0x9C, 0xDE, 0xC5, 0x02, 0x3C, 0xA0, 0x94, 0x3A, 0x94, 
    0x12, 0xCA, 0x75, 0xE8, 0x3A, 0x74, 0x1D, 0xBA, 0x0E, 0x5D, 0x57, 0x0E, 0x95, 0x50, 0x0E, 0xA5, 
    0xE2, 0x01, 0xA6, 0xCC, 0xC5, 0x81, 0x39, 0x95, 0xAA, 0x02, 0xCA, 0x3D, 0xDC, 0xE4, 0x6E, 0x72, 
    0x37, 0xB9, 0x0E, 0x5D, 0x87, 0xAE, 0x43, 0xD7, 0xA1, 0xEB, 0xD0, 0x75, 0xE8, 0x4A, 0x09, 0xE5, 
    0x4A, 0x09, 0xE5, 0x60, 0x01, 0x1E, 0x70, 0x2F, 0xEF, 0x74, 0x4E, 0x81, 0x49, 0x09, 0xCA, 0x3D, 
    0xDC, 0xE4, 0x6E, 0x72, 0x37, 0xB9, 0x06, 0x15, 0xBA, 0x06, 0x15, 0xBA, 0x06, 0x15, 0xBA, 0x06, 
    0x15, 0xBA, 0x06, 0x15, 0xBA, 0x06, 0x15, 0xBA, 0x06, 0x15, 0xBA, 0x06, 0x15, 0xBA, 0x06, 0x15, 
    0xBA, 0x06, 0x15, 0x3A, 0x70, 0x40, 0x05, 0xCA, 0x3D, 0xDC, 0xE4, 0x6E, 0x72, 0x37, 0x87, 0xAA, 
    0x53, 0xAA, 0x4E, 0xA9, 0x3A, 0xA5, 0xEA, 0x94, 0xAA, 0x53, 0xAA, 0x4E, 0xA9, 0x3A, 0xA5, 0xEA, 
    0x94, 0x6E, 0xE2, 0x24, 0x83, 0xC9, 0x49, 0x36, 0x27, 0xE0, 0x9C, 0xDE, 0xC5, 0x02, 0x3C, 0xA0, 
    0x54, 0x50, 0x0E, 0xA5, 0x84, 0x72, 0x1D, 0xBA, 0x0E, 0x5D, 0x87, 0xAE, 0x42, 0x83, 0xAE, 0x42, 
    0x83, 0xAE, 0x54, 0x83, 0xAE, 0x54, 0x53, 0x0E, 0x4E, 0xD3, 0x01, 0x8E, 0xCB, 0xA5, 0x8C, 0xCB, 
    0x05, 0x8D, 0xBB, 0x99, 0x0A, 0xCA, 0x3D, 0xDC, 0xE4, 0x6E, 0x72, 0xB8, 0xA7, 0x74, 0x0B, 0xBA, 
    0x05, 0xDD, 0x82, 0x6E, 0x41, 0xB7, 0xA0, 0x5B, 0xD0, 0x2D, 0xE8, 0xA4, 0x7B, 0xB8, 0xC9, 0xDD, 
    0xE4, 0x70, 0x0B, 0xCA, 0x3D, 0xDC, 0xE4, 0x6E, 0x72, 0xB8, 0x05, 0x13, 0xD0, 0x2D, 0xE6, 0x06, 
    0x93, 0x1B, 0x4C, 0x6E, 0x29, 0xB7, 0xA0, 0x5B, 0xD0, 0x2D, 0xE8, 0x96, 0x72, 0xB8, 0x87, 0x9B, 
    0xC3, 0xBD, 0x9C, 0x54, 0x00, 0xCA, 0x3D, 0xDC, 0xE4, 0x6E, 0x72, 0xB8, 0xA7, 0xA0, 0xDC, 0x00, 
    0x6F, 0xF0, 0x06, 0x6F, 0x70, 0x27, 0xD9, 0x53, 0x0C, 0x93, 0x93, 0x03, 0x73, 0xB1, 0x60, 0x72, 
    0x28, 0x15, 0x93, 0xAB, 0x04, 0x0F, 0x1C, 0xCA, 0x4D, 0x14, 0x00, 0xCA, 0x3D, 0xDC, 0xE4, 0x6E, 
    0x72, 0xB8, 0xB9, 0x05, 0xDD, 0x82, 0x6E, 0x41, 0xB7, 0xA0, 0x5B, 0xD0, 0x2D, 0xE8, 0x16, 0x74, 
    0x0B, 0xBA, 0x05, 0xDD, 0x44, 0x01, 0xCA, 0x3D, 0xDC, 0xE4, 0x6E, 0x72, 0x37, 0x07, 0x73, 0x83, 
    0x3D, 0x09, 0x9F, 0x74, 0x4E, 0xB2, 0x37, 0x98, 0x53, 0x60, 0x4F, 0xF8, 0xF2, 0xC9, 0x9E, 0x02, 
    0x73, 0xC3, 0xCD, 0xE1, 0x26, 0x77, 0x93, 0xC3, 0x2D, 0x00, 0xCA, 0x3D, 0xDC, 0xE4, 0x6E, 0x72, 
    0x37, 0x07, 0x98, 0x1B, 0x60, 0x6E, 0x31, 0x37, 0xC0, 0xDC, 0x62, 0x6E, 0x80, 0xB9, 0x01, 0xE6, 
    0x16, 0x73, 0x03, 0xCC, 0x01, 0x37, 0x77, 0x93, 0xBB, 0xC9, 0xE1, 0x16, 0x00, 0x83, 0xC9, 0x49, 
    0x36, 0x27, 0xE0, 0x9C, 0xDE, 0xC5, 0x82, 0x39, 0xA0, 0x54, 0x50, 0x0E, 0xA5, 0x84, 0x72, 0x1D, 
    0xBA, 0x0E, 0x5D, 0x87, 0xAE, 0x43, 0xD7, 0xA1, 0x2B, 0x25, 0x94, 0x43, 0xA9, 0xA0, 0x1C, 0x60, 
    0x01, 0x5E, 0xDE, 0xE9, 0x9C, 0x00, 0x9B, 0x93, 0x4C, 0x4A, 0x00, 0xCA, 0x3D, 0xDC, 0xE4, 0x6E, 
    0x72, 0x37, 0x87, 0xAA, 0x53, 0xAA, 0x4E, 0xA9, 0x3A, 0xA5, 0xEA, 0x94, 0xAA, 0x53, 0xAA, 0x4E, 
    0x29, 0x53, 0x4E, 0xB1, 0x27, 0xB9, 0x9C, 0x04, 0x93, 0x1B, 0xBC, 0x00, 0x83, 0xC9, 0x49, 0x36, 
    0x27, 0xE0, 0x9C, 0xDE, 0xC5, 0x02, 0x3C, 0xA0, 0x54, 0x50, 0x0E, 0xA5, 0x84, 0x72, 0x1D, 0xBA, 
    0x4A, 0x04, 0xBA, 0x2A, 0x28, 0xBA, 0x4A, 0x24, 0xBA, 0x4A, 0xE6, 0x4A, 0xC9, 0x43, 0xA9, 0xA0, 
    0x1C, 0x60, 0xC1, 0x5C, 0xEE, 0xE5, 0x5E, 0x6C, 0x02, 0x9D, 0x4C, 0x8A, 0xDC, 0x44, 0x06, 0xCA, 
    0x3D, 0xDC, 0xE4, 0x6E, 0x72, 0x37, 0x87, 0xAA, 0x53, 0xAA, 0x4E, 0xA9, 0x3A, 0xA5, 0xEA, 0x94, 
    0xAA, 0x9C, 0x80, 0xCA, 0x13, 0x2A, 0x93, 0x0B, 0xCA, 0x14, 0x5E, 0x6C, 0x98, 0x1C, 0xE0, 0x32, 
    0xE6, 0x00, 0x93, 0xF2, 0x62, 0x01, 0xA5, 0x00, 0x52, 0xA9, 0x72, 0x32, 0x03, 0x2F, 0x6E, 0xCC, 
    0x01, 0x2E, 0xE3, 0xA1, 0x04, 0x4A, 0x95, 0x6B, 0x50, 0xA1, 0x6B, 0x50, 0xAA, 0x6B, 0x50, 0xAA, 
    0xAB, 0xAA, 0xAE, 0x0C, 0xAA, 0xCE, 0x29, 0x53, 0x0E, 0x8E, 0xCB, 0xA5, 0x8C, 0xCB, 0x05, 0x0D, 
    0x4C, 0x6E, 0x28, 0x15, 0x00, 0x02, 0xBA, 0x05, 0xDD, 0x82, 0x6E, 0x41, 0xB7, 0xA0, 0x5B, 0xD0, 
    0x2D, 0xB8, 0x39, 0xDC, 0xE4, 0x6E, 0x72, 0x37, 0x87, 0x6E, 0x41, 0xB7, 0xA0, 0x5B, 0xD0, 0x2D, 
    0xE8, 0x16, 0x74, 0x0A, 0x00, 0xCA, 0xC9, 0x05, 0xF7, 0x80, 0x9B, 0x03, 0xEE, 0x2D, 0xDE, 0x52, 
    0x6E, 0x41, 0xB7, 0xA0, 0x5B, 0xD0, 0x2D, 0xE8, 0x96, 0x72, 0x03, 0x3C, 0xDC, 0xC3, 0x3D, 0xE0, 
    0x5E, 0x4E, 0x2A, 0x00, 0x4A, 0xB7, 0x98, 0x1B, 0x5C, 0x4E, 0x82, 0x3D, 0x09, 0x36, 0x27, 0xC1, 
    0xDE, 0x5C, 0x6E, 0x30, 0xB9, 0xA5, 0xDC, 0x4C, 0x4E, 0x72, 0xA7, 0xB8, 0x9C, 0x00, 0x7B, 0x82, 
    0x3D, 0xC5, 0xE5, 0x24, 0x73, 0x03, 0xC8, 0x29, 0x00, 0x4A, 0xB7, 0xB8, 0x93, 0xF0, 0x29, 0x27, 
    0xA7, 0x9C, 0x9C, 0x64, 0x6F, 0x30, 0x27, 0xB9, 0x9C, 0x00, 0x9B, 0x0B, 0x3E, 0xD9, 0x53, 0xDC, 
    0x49, 0x28, 0xB7, 0xB8, 0x9B, 0x3D, 0x09, 0x9F, 0x04, 0x9B, 0x93, 0xE0, 0x72, 0x83, 0x39, 0x05, 
    0xF6, 0x82, 0x93, 0x03, 0x4E, 0x2E, 0xF8, 0x04, 0xB8, 0x5B, 0xA7, 0x00, 0x93, 0xD0, 0x55, 0x82, 
    0x67, 0xC5, 0x9C, 0x29, 0x93, 0x8B, 0x09, 0x98, 0x13, 0x3E, 0xC5, 0x9E, 0x04, 0x73, 0x73, 0xA7, 
    0xE0, 0x13, 0x4C, 0xC0, 0x5C, 0x60, 0x06, 0x26, 0x07, 0x2B, 0xE6, 0x4A, 0xC9, 0x03, 0x07, 0x54, 
    0x0A, 0xB9, 0x05, 0xE5, 0x16, 0x73, 0x03, 0xCC, 0x0D, 0x30, 0xB9, 0xC1, 0xE4, 0x06, 0x9C, 0x13, 
    0x70, 0x4E, 0x38, 0xA7, 0x73, 0x32, 0x27, 0xC1, 0xE4, 0x24, 0x98, 0x9B, 0xB9, 0xA1, 0xDC, 0xD2, 
    0x29, 0x00, 0x93, 0x40, 0x0E, 0x95, 0xE0, 0x55, 0x32, 0x57, 0x05, 0x26, 0x57, 0xC5, 0x5D, 0x05, 
    0x18, 0x5D, 0x05, 0x03, 0x5D, 0xE5, 0x74, 0x8D, 0x19, 0x74, 0x05, 0x4C, 0x75, 0x85, 0x05, 0x74, 
    0xAE, 0xD2, 0x99, 0x54, 0xD0, 0x99, 0x52, 0x67, 0x09, 0x5D, 0xB9, 0x6E, 0x41, 0x05, 0xCA, 0x6D, 
    0xE5, 0x17, 0xF0, 0x0B, 0xF8, 0x05, 0x74, 0x42, 0x05, 0x74, 0x42, 0x05, 0x74, 0x42, 0x05, 0x74, 
    0x42, 0x01, 0x0A, 0x37, 0x99, 0x1B, 0xEC, 0xCD, 0xE6, 0x66, 0x73, 0x73, 0xB7, 0x94, 0x02, 0x02, 
    0x3A, 0xA1, 0x02, 0x3A, 0xA1, 0x02, 0x3A, 0xA1, 0x02, 0x3A, 0xA1, 0x02, 0x7E, 0x01, 0xBF, 0x80, 
    0x5F, 0xB9, 0x0D, 0x0B, 0xC8, 0x2D, 0xE5, 0x66, 0x72, 0x92, 0x3B, 0x05, 0xEE, 0x24, 0x78, 0x03, 
    0xCC, 0x0D, 0xEE, 0x06, 0x97, 0x1B, 0xCC, 0x2D, 0xE5, 0x26, 0x72, 0x00, 0x5B, 0x40, 0x6E, 0x22, 
    0x37, 0x91, 0x9B, 0xC8, 0x4D, 0xE4, 0x26, 0x72, 0x13, 0xB9, 0x89, 0xDC, 0x44, 0x6E, 0x22, 0x37, 
    0x91, 0x9B, 0xC8, 0x4D, 0xE4, 0x26, 0x12, 0x02, 0xB8, 0x09, 0xE4, 0xA6, 0x6E, 0x41, 0xB9, 0x05, 
    0xDD, 0x04, 0x4E, 0x01, 0x53, 0xCA, 0x29, 0x28, 0x60, 0x4E, 0x40, 0x09, 0x98, 0x9C, 0x50, 0xC0, 
    0x9D, 0x1A, 0x32, 0x9D, 0x1A, 0x32, 0x9D, 0x1A, 0x32, 0x9D, 0x0A, 0x90, 0x01, 0x39, 0xA1, 0x04, 
    0x19, 0x72, 0x02, 0x3E, 0x01, 0xE7, 0x04, 0x9C, 0x13, 0xF0, 0x4D, 0x14, 0x00, 0xCA, 0x3D, 0xDC, 
    0xE4, 0x6E, 0x72, 0xB8, 0xA7, 0x34, 0xE8, 0x94, 0x0A, 0x9D, 0x50, 0xA5, 0x53, 0x95, 0x4E, 0x55, 
    0x3A, 0x95, 0x42, 0x39, 0x39, 0xF0, 0x84, 0x4F, 0xC0, 0xA7, 0xD8, 0x93, 0x60, 0x2A, 0x00, 0x0B, 
    0xCC, 0xCD, 0xE5, 0x14, 0xD8, 0x53, 0x3E, 0x01, 0x65, 0xE0, 0xA9, 0x14, 0xCA, 0xA9, 0x4A, 0xA7, 
    0x2A, 0x9D, 0xAA, 0x74, 0x2A, 0x05, 0x74, 0x42, 0x85, 0x4E, 0x40, 0x19, 0x4F, 0x29, 0x81, 0x72, 
    0x12, 0x99, 0x2A, 0x0B, 0xCC, 0x49, 0xB0, 0xA7, 0x7C, 0xC2, 0xC9, 0xC9, 0x81, 0xA7, 0x2A, 0x9D, 
    0xAA, 0x74, 0xAA, 0xD2, 0x09, 0x15, 0x3A, 0xA5, 0x41, 0x97, 0x7B, 0xB8, 0xC9, 0xDD, 0xE4, 0x6E, 
    0x0A, 0x0B, 0xCC, 0x49, 0x70, 0x39, 0xC9, 0x9E, 0xF2, 0x09, 0x25, 0x40, 0x02, 0xE5, 0xD4, 0x90, 
    0xE9, 0xD4, 0x90, 0xE9, 0xD4, 0x90, 0xE9, 0xD4, 0x90, 0xE9, 0x54, 0x02, 0x64, 0x3A, 0xC1, 0x24, 
    0x50, 0x4E, 0x30, 0x89, 0x72, 0x8A, 0x89, 0x4E, 0x42, 0x01, 0x52, 0x01, 0xEB, 0x16, 0x74, 0xC3, 
    0xCB, 0x01, 0x37, 0x77, 0x93, 0xBB, 0x39, 0x14, 0xE8, 0x24, 0x14, 0xE8, 0x24, 0x14, 0xE8, 0x24, 
    0x74, 0x0A, 0x00, 0x0B, 0xCC, 0x49, 0xB0, 0x81, 0x2E, 0x47, 0x39, 0x9C, 0x44, 0x07, 0xAB, 0x44, 
    0xB9, 0x2A, 0x05, 0xBA, 0x2A, 0x05, 0xBA, 0x2A, 0x05, 0x3A, 0x90, 0x0A, 0x99, 0x0E, 0x68, 0xD0, 
    0x94, 0xC3, 0xCD, 0xDD, 0x1C, 0xEE, 0xE5, 0x0D, 0xCA, 0x3D, 0xDC, 0xE4, 0x6E, 0x72, 0xB8, 0xA7, 
    0x90, 0x5B, 0x40, 0x6E, 0x41, 0xB7, 0xA0, 0x5B, 0x50, 0x6E, 0x39, 0x27, 0xE0, 0x9C, 0x70, 0x4E, 
    0xB1, 0x05, 0x0A, 0x99, 0x0F, 0x25, 0x4E, 0xAE, 0xC4, 0xC9, 0x81, 0xCC, 0x05, 0x5B, 0xD0, 0x2D, 
    0xA8, 0x42, 0xE6, 0xA6, 0x80, 0x12, 0x37, 0x29, 0xA0, 0xC4, 0x4D, 0x05, 0x64, 0x5E, 0x02, 0xCA, 
    0x3D, 0xDC, 0xE4, 0x6E, 0x72, 0xB8, 0x27, 0xA1, 0x5B, 0xBA, 0xC5, 0x1B, 0xDC, 0x49, 0xF6, 0x94, 
    0x32, 0xE6, 0x84, 0xCA, 0x9C, 0x40, 0xA5, 0xDC, 0x02, 0x52, 0x00, 0xCA, 0x3D, 0xDC, 0xE4, 0x6E, 
    0x72, 0xB8, 0x05, 0x3B, 0x27, 0x9C, 0x9C, 0x4E, 0x4E, 0xF8, 0x14, 0x72, 0x0B, 0xC8, 0x2D, 0xE8, 
    0x16, 0x74, 0x0B, 0xCA, 0x2D, 0xE7, 0x84, 0x93, 0x13, 0xCE, 0x09, 0xB0, 0x39, 0x01, 0xDD, 0x02, 
    0x72, 0x0B, 0xBA, 0x05, 0xDD, 0x82, 0x73, 0xC2, 0xC9, 0x09, 0xE7, 0x04, 0xD8, 0x14, 0x00, 0x3B, 
    0x27, 0x9C, 0x9C, 0x4E, 0x4E, 0xF8, 0x14, 0x72, 0x0B, 0xC8, 0x2D, 0xE8, 0x16, 0x74, 0x0B, 0xCA, 
    0x2D, 0xE7, 0x04, 0x9C, 0x13, 0xCE, 0x29, 0xB6, 0x00, 0x0B, 0xCC, 0x49, 0x70, 0x39, 0xC9, 0x9E, 
    0xF2, 0x09, 0x0E, 0x3C, 0x95, 0x42, 0x39, 0x55, 0xE9, 0x54, 0xA5, 0x53, 0x95, 0x4E, 0xA5, 0x50, 
    0x4E, 0x0E, 0x3C, 0xE1, 0x53, 0xEC, 0x29, 0x70, 0xB9, 0x99, 0x0A, 0x00, 0xBB, 0xC9, 0xDD, 0xE4, 
    0x6E, 0x72, 0xB8, 0x97, 0x06, 0x9D, 0x52, 0xA1, 0x13, 0xAA, 0x74, 0xAA, 0xD2, 0xA9, 0x4A, 0xA7, 
    0x52, 0x28, 0x27, 0x07, 0x9E, 0xF0, 0x09, 0xF8, 0x14, 0x7B, 0x12, 0x4C, 0x05, 0x0B, 0xCC, 0x49, 
    0xB0, 0xA7, 0x7C, 0xC2, 0xC9, 0xC9, 0x81, 0xA7, 0x2A, 0x9D, 0xAA, 0x74, 0xAA, 0xD2, 0x09, 0x15, 
    0x3A, 0xA5, 0x41, 0xA7, 0xDC, 0xDC, 0x4D, 0xEE, 0x26, 0x77, 0x13, 0xC3, 0x27, 0x9C, 0x9C, 0x4E, 
    0x4E, 0xF8, 0x04, 0x94, 0x1B, 0xD0, 0x2D, 0xE8, 0x16, 0x74, 0x0B, 0xBA, 0x89, 0x5C, 0x00, 0x03, 
    0x1A, 0x74, 0x8A, 0x53, 0x4E, 0x80, 0x09, 0x94, 0x13, 0x4C, 0xA6, 0x9C, 0x0A, 0x34, 0x9D, 0x0A, 
    0x34, 0x9D, 0x1A, 0x32, 0x9D, 0x1A, 0x32, 0x9D, 0x4A, 0xA0, 0x40, 0x27, 0x94, 0x70, 0x27, 0x94, 
    0x80, 0x39, 0xA5, 0x80, 0xB9, 0x01, 0x55, 0x00, 0xEB, 0x16, 0x74, 0x7B, 0x39, 0xE0, 0xE6, 0x70, 
    0x93, 0xC3, 0xCD, 0xA9, 0x4A, 0xA7, 0x2A, 0x9D, 0xAA, 0x74, 0x0B, 0x48, 0x01, 0x83, 0x3D, 0xE5, 
    0x9C, 0x70, 0x72, 0xC2, 0xB9, 0xA5, 0xDC, 0x82, 0x6E, 0x41, 0xB7, 0x80, 0xDC, 0x02, 0x72, 0xCA, 
    0x27, 0x9C, 0x9C, 0x4E, 0x4E, 0x38, 0x05, 0xEB, 0x16, 0x98, 0x1B, 0xDC, 0x0D, 0xEE, 0x06, 0xB8, 
    0x1B, 0x4C, 0x6E, 0x29, 0x37, 0x93, 0x93, 0xDC, 0x29, 0xEE, 0x14, 0xB8, 0x93, 0x60, 0x6E, 0xE8, 
    0x02, 0xEB, 0x16, 0x98, 0x1B, 0x5C, 0x6E, 0xF6, 0xE6, 0x6E, 0xF1, 0x06, 0x73, 0x92, 0x3B, 0x01, 
    0xF6, 0x14, 0x93, 0x5B, 0xB9, 0xC5, 0xE4, 0x06, 0x7B, 0x83, 0xBB, 0x01, 0xE6, 0x06, 0x78, 0x92, 
    0x3B, 0xC5, 0x9E, 0x00, 0x97, 0x93, 0xCC, 0x0D, 0x5D, 0x00, 0x03, 0x15, 0x74, 0xAA, 0x80, 0x72, 
    0x2A, 0xE5, 0x09, 0x86, 0x39, 0xC5, 0x9E, 0x64, 0x72, 0x83, 0x37, 0x98, 0x9C, 0x04, 0x7B, 0x8A, 
    0x61, 0x4E, 0x28, 0xE5, 0xA9, 0x02, 0xCA, 0x09, 0x54, 0x50, 0x01, 0xEB, 0xD0, 0x99, 0x52, 0xE7, 
    0x2A, 0x1D, 0xE0, 0x0A, 0x5D, 0xE0, 0x12, 0x9E, 0x00, 0x9B, 0x93, 0xE0, 0x4E, 0x71, 0x39, 0xC5, 
    0x9D, 0xE2, 0x72, 0x8A, 0x3B, 0x09, 0xE6, 0x86, 0x2E, 0x00, 0x03, 0x15, 0x74, 0xAA, 0x80, 0x72, 
    0xAA, 0xE0, 0xA9, 0x32, 0xA7, 0x06, 0x26, 0xA7, 0xA6, 0x44, 0xA7, 0x02, 0x25, 0xD0, 0xA9, 0x28, 
    0xD3, 0xC9, 0x64, 0xD0, 0xC9, 0x54, 0x27, 0x0B, 0x9D, 0x4A, 0x01, 0x9D, 0xAA, 0x74, 0x0B, 0x2A, 
    0x00
};

#endif

